Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1260297 - cppformat tests fail on ARM
Summary: cppformat tests fail on ARM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cppformat
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Johansen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker F-ExcludeArch-ARM PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-09-05 18:19 UTC by Dave Johansen
Modified: 2015-11-02 01:21 UTC (History)
2 users (show)

Fixed In Version: cppformat-1.1.0-2.fc22 cppformat-1.1.0-2.fc21 cppformat-1.1.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-01 21:53:12 UTC


Attachments (Terms of Use)

Description Dave Johansen 2015-09-05 18:19:25 UTC
Description of problem:
One of the tests fail on ARM.

Version-Release number of selected component (if applicable):
1.1.0

Comment 1 Dave Johansen 2015-09-06 03:05:19 UTC
Example of build with failed tests:
http://koji.fedoraproject.org/koji/taskinfo?taskID=10966714

Comment 2 Rafael Fonseca 2015-09-08 13:11:54 UTC
It also fails on ppc64, ppc64le and on s390x. The failed test is format-test and here is the relevant output:

[ RUN      ] FormatterTest.FormatLongDouble
/builddir/build/BUILD/cppformat-1.1.0/test/format-test.cc:1166: Failure
Value of: format("{0:+010.4g}", 392.65l)
  Actual: "+0000392.7"
Expected: "+0000392.6"

[...]

[ RUN      ] FormatIntTest.FormatDec
/builddir/build/BUILD/cppformat-1.1.0/test/format-test.cc:1387: Failure
Value of: format_decimal(static_cast<char>(-42))
  Actual: "214"
Expected: "-42"

[...]

[  PASSED  ] 89 tests.
[  FAILED  ] 2 tests, listed below:
[  FAILED  ] FormatterTest.FormatLongDouble
[  FAILED  ] FormatIntTest.FormatDec

 2 FAILED TESTS

Comment 3 Fedora Update System 2015-09-11 04:25:18 UTC
cppformat-1.1.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15584

Comment 4 Fedora Update System 2015-09-11 04:25:24 UTC
cppformat-1.1.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15585

Comment 5 Fedora Update System 2015-09-11 19:52:22 UTC
cppformat-1.1.0-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cppformat'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15583

Comment 6 Fedora Update System 2015-09-11 19:54:00 UTC
cppformat-1.1.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cppformat'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15585

Comment 7 Fedora Update System 2015-09-12 21:25:43 UTC
cppformat-1.1.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cppformat'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15584

Comment 8 Fedora Update System 2015-11-01 21:53:08 UTC
cppformat-1.1.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-11-01 22:22:15 UTC
cppformat-1.1.0-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-11-02 01:21:47 UTC
cppformat-1.1.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.